## pkg-perl-tools 0.74

=== debian/changelog ===
pkg-perl-tools (0.74) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-repack.sh: set default for DPT__SCRIPTS.
    When not called as `dpt repack.sh' but from a debian/repack.stub, the
    DPT__SCRIPTS variable is typically unset which makes the script fail.
  * dpt-new-upstream: parse upstream version out of the string returned by
    UDD/vcswatch, which changed recently.
  * dpt-import-orig: redirect STDERR of uscan(1) to /dev/null.
  * dpt-prepare: remove trailing newline from psql output
    (ci.debian.net query).
  * dpt-fixup: check if debian/watch exists before trying to
    grep through it.
  * Add new dpt subcommand: ready-for-upload - list packages in Git which
    need an upload.
  * New script dh-make-perl-dev: run dh-make-perl from Git checkout.
  * examples/u: add -n option (to add --new to dgit push-source).
  * Update copyright years.

  [ intrigeri ]
  * examples/check-build:
    - drop auto-detection of autopkgtest virtualization server and hard-coding
      of the backing chroot/image. Instead, users can now configure their
      preferred virtualization server using these environment variables:
      $AUTOPKGTEST_VIRT_SERVER and $AUTOPKGTEST_VIRT_SERVER_ARGS. Else, the
      default (schroot) is used as a fallback.
    - fix shell syntax for error reporting of non-existent BUILDDIR.
    - remove duplicate "E: " prefix in error message
    - lint. This addresses the shellcheck violations that were the easiest to
      fix.

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Feb 2023 21:26:27 +0100

pkg-perl-tools (0.73) unstable; urgency=medium

  * Add more packages to Debian::PkgPerl::Util's
    probable_build_dependency().
  * dpt-missing-upload: use shell library function for info messages.
  * dpt-fixup: bump Standards-Version to 4.6.2.
  * dpt-prepare: add call to uscan(1).
  * examples/buildpackage-pdebuild: add -c option.
    (dpkg-buildpackage's -nc)
  * Declare compliance with Debian Policy 4.6.2.
  * Remove alternative "mr".
    This package name only exists in oldoldoldstable, so it might be time to
    let go. (Closes: #788307)
  * bts-srcpkg: output RC bug numbers in red.
  * Update lintian override (line number).

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Dec 2022 03:58:14 +0100

## pkg-perl-tools 0.75

=== Makefile ===
#!/usr/bin/make
# vim: noet ft=make


.PHONY: all
all:

PREFIX = usr
SCRIPTS := $(filter-out lib,$(notdir $(wildcard scripts/*)))
SCRIPT_LIBS := $(notdir $(wildcard scripts/lib/*))
BINS := $(notdir $(wildcard bin/*))
BIN_MANUALS := $(addsuffix .1,$(BINS))
LIBS := $(notdir $(wildcard lib/Debian/PkgPerl/*))
# Using // instead of :: is a hack to find dependencies later
LIB_MANUALS := $(addprefix Debian//PkgPerl//,$(patsubst %.pm,%.3pm,$(LIBS)))
CONF_MANUALS := $(patsubst %.pod,%,$(notdir $(wildcard man5/*)))
LINTIAN_CHECKS := $(notdir $(wildcard lintian/checks/PkgPerl/*))
LINTIAN_PROFILES := $(notdir $(wildcard lintian/profiles/pkg-perl/*))
LINTIAN_TAGS := $(notdir $(wildcard lintian/tags/pkg-perl/*))
AUTOPKGTEST_SCRIPTS := $(notdir $(wildcard autopkgtest/scripts/runner))
AUTOPKGTEST_SCRIPTS_BUILDDEPS := $(notdir $(wildcard autopkgtest/scripts/build-deps.d/*))
AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS := $(notdir $(wildcard autopkgtest/scripts/runtime-deps.d/*))
AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS := $(notdir $(wildcard autopkgtest/scripts/runtime-deps-and-recommends.d/*))
AUTOPKGTEST_SCRIPTS_HEAVYDEPS := $(notdir $(wildcard autopkgtest/scripts/heavy-deps.d/*))
ZSH_COMPLETIONS := $(notdir $(wildcard shell/zsh/*))
VERSION := $(shell dpkg-parsechangelog --show-field Version)

MAN_DIR := $(PREFIX)/share/man/man1
MAN3_DIR := $(PREFIX)/share/man/man3
MAN5_DIR := $(PREFIX)/share/man/man5

INSTALLED_SCRIPTS := $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/,$(SCRIPTS))
INSTALLED_SCRIPT_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/dpt-,$(addsuffix .1,$(filter-out posix-lib.sh,$(SCRIPTS))))
INSTALLED_SCRIPT_ALIAS_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/dpt-,$(addsuffix .1,co))
INSTALLED_SCRIPT_LIBS := $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib/,$(SCRIPT_LIBS))
INSTALLED_BINS := $(addprefix $(DESTDIR)/$(PREFIX)/bin/,$(BINS))
INSTALLED_BIN_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/,$(BIN_MANUALS))
INSTALLED_LIBS := $(addprefix $(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl/,$(LIBS))
INSTALLED_LIB_MANUALS := $(addprefix $(DESTDIR)/$(MAN3_DIR)/,$(LIB_MANUALS))
INSTALLED_LINTIAN_CHECKS := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/lib/Lintian/Check/PkgPerl/, $(LINTIAN_CHECKS))
INSTALLED_LINTIAN_PROFILES := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/, $(LINTIAN_PROFILES))
INSTALLED_LINTIAN_TAGS := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/tags/pkg-perl/, $(LINTIAN_TAGS))
INSTALLED_AUTOPKGTEST_SCRIPTS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/, $(AUTOPKGTEST_SCRIPTS))
INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d/, $(AUTOPKGTEST_SCRIPTS_BUILDDEPS))
INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d/, $(AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS))
INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d/, $(AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS))
INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d/, $(AUTOPKGTEST_SCRIPTS_HEAVYDEPS))
INSTALLED_ZSH_COMPLETIONS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions/, $(ZSH_COMPLETIONS))
INSTALLED_CONF_MANUALS := $(addprefix $(DESTDIR)/$(MAN5_DIR)/,$(addsuffix .5,$(CONF_MANUALS)))

INSTALL := install -D -m 0644
INSTALL_BIN := install -D -m 0755
POD2MAN := pod2man --release="pkg-perl-tools $(VERSION)" -c "Debian Perl packaging Tools"

.PHONY: install
install: $(INSTALLED_SCRIPTS) $(INSTALLED_SCRIPT_MANUALS) \
    $(INSTALLED_SCRIPT_ALIAS_MANUALS) \
    $(INSTALLED_SCRIPT_LIBS) \
    $(INSTALLED_BINS) $(INSTALLED_BIN_MANUALS) \
    $(INSTALLED_LIBS) $(INSTALLED_LIB_MANUALS) \
    $(INSTALLED_CONF_MANUALS) \
    $(INSTALLED_LINTIAN_CHECKS) $(INSTALLED_LINTIAN_PROFILES) $(INSTALLED_LINTIAN_TAGS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS) \
    $(INSTALLED_ZSH_COMPLETIONS)

$(DESTDIR)/$(MAN_DIR) \
$(DESTDIR)/$(MAN3_DIR) \
$(DESTDIR)/$(MAN5_DIR) \
$(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib \
$(DESTDIR)/$(PREFIX)/share/lintian/lib/Lintian/Check/PkgPerl \
$(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl \
$(DESTDIR)/$(PREFIX)/share/lintian/tags/pkg-perl \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d \
$(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions :
	$(INSTALL) -d -m 0755 $@

$(INSTALLED_SCRIPTS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/% : scripts/%
	$(INSTALL_BIN) $< $@

$(DESTDIR)/$(MAN_DIR)/dpt-co.1: $(DESTDIR)/$(MAN_DIR)/dpt-checkout.1
	ln -s dpt-checkout.1 $@

$(INSTALLED_SCRIPT_MANUALS) : $(DESTDIR)/$(MAN_DIR)/dpt-%.1 : scripts/% $(DESTDIR)/$(MAN_DIR)
	$(POD2MAN) -n "dpt-$*" $< > $@

$(INSTALLED_SCRIPT_LIBS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib/% : scripts/lib/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib
	$(INSTALL) $< $@

$(INSTALLED_BINS) : $(DESTDIR)/$(PREFIX)/bin/% : bin/%
	$(INSTALL_BIN) $< $@
	sed -i 's,DPT__SCRIPTS=scripts # REPLACED.*,DPT__SCRIPTS="/$(PREFIX)/share/pkg-perl-tools",' $@

$(INSTALLED_BIN_MANUALS) : $(DESTDIR)/$(MAN_DIR)/%.1 : bin/% $(DESTDIR)/$(MAN_DIR)
	$(POD2MAN) -n "$*" $< > $@

$(INSTALLED_LIBS) : $(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl/% : lib/Debian/PkgPerl/% $(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl
	$(INSTALL_BIN) $< $@

# Using // instead of :: helps finding the original .pm file
.PHONY: $(INSTALLED_LIB_MANUALS)
$(INSTALLED_LIB_MANUALS) : $(DESTDIR)/$(MAN3_DIR)/%.3pm : lib/%.pm $(DESTDIR)/$(MAN3_DIR)
	$(POD2MAN) -n "$(subst //,::,$*)" -s 3pm $< > $(subst //,::,$@)

$(INSTALLED_LINTIAN_CHECKS) : $(DESTDIR)/$(PREFIX)/share/lintian/lib/Lintian/Check/PkgPerl/% : lintian/checks/PkgPerl/% $(DESTDIR)/$(PREFIX)/share/lintian/lib/Lintian/Check/PkgPerl
	$(INSTALL) $< $@

$(INSTALLED_LINTIAN_PROFILES) : $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/% : lintian/profiles/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl
	$(INSTALL) $< $@

$(INSTALLED_LINTIAN_TAGS) : $(DESTDIR)/$(PREFIX)/share/lintian/tags/pkg-perl/% : lintian/tags/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/tags/pkg-perl
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/% : autopkgtest/scripts/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d/% : autopkgtest/scripts/build-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d/% : autopkgtest/scripts/runtime-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d/% : autopkgtest/scripts/runtime-deps-and-recommends.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d/% : autopkgtest/scripts/heavy-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d
	$(INSTALL) $< $@

$(INSTALLED_ZSH_COMPLETIONS) : $(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions/% : shell/zsh/% $(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions
	$(INSTALL) $< $@

$(INSTALLED_CONF_MANUALS) : $(DESTDIR)/$(MAN5_DIR)/%.5 : man5/%.pod $(DESTDIR)/$(MAN5_DIR)
	$(POD2MAN) -n "$*" --section 5 $< > $@

.PHONY: clean
clean:

test:
	for f in `find bin scripts -maxdepth 1 -type f`; do \
	    if head -1 $$f | grep -q bin/perl; then \
		perl -Ilib -c $$f || exit 1; \
	    elif head -1 $$f |grep -q python; then \
		python3 -c "compile(open('$$f').read(), '', 'exec')" && echo "$$f python script OK" || exit 1; \
	    elif head -1 $$f |grep -q bash; then \
		bash -n $$f && echo "$$f bash script OK" || exit 1; \
	    else \
		sh -n $$f && echo "$$f shell script OK" || exit 1; \
	    fi \
	done
	for f in `find . -name '*.pm' -type f`; do \
	    perl -Ilib -c $$f || exit 1; \
	done
	prove -l --verbose --recurse t/
	-prove -l --verbose --recurse --ext .st t/

=== debian/changelog ===
pkg-perl-tools (0.75) unstable; urgency=medium

  * dh-make-perl-dev: add --data-dir option.
  * dpt-lib.sh: add OOT environment variable.
  * dh-make-perl-dev: use OOT variable to source dpt-lib.sh.
    dh-make-perl-dev is per definitionem not run from a source package
    directory.

 -- gregor herrmann <gregoa@debian.org>  Fri, 24 Feb 2023 01:36:37 +0100

=== debian/control ===
Source: pkg-perl-tools
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>,
           Axel Beckert <abe@debian.org>,
           gregor herrmann <gregoa@debian.org>,
           Salvatore Bonaccorso <carnil@debian.org>,
           Niko Tyni <ntyni@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: git <!nocheck>,
                     libconfig-model-perl <!nocheck>,
                     libdatetime-perl <!nocheck>,
                     libdebian-source-perl (>= 0.119) <!nocheck>,
                     libdpkg-perl <!nocheck>,
                     libfile-slurp-perl <!nocheck>,
                     libgit-repository-perl <!nocheck>,
                     libgitlab-api-v4-perl <!nocheck>,
                     libipc-run-perl <!nocheck>,
                     libjson-xs-perl <!nocheck>,
                     libmime-lite-perl <!nocheck>,
                     libnet-github-perl <!nocheck>,
                     libparallel-forkmanager-perl <!nocheck>,
                     libproc-invokeeditor-perl <!nocheck>,
                     librt-client-rest-perl <!nocheck>,
                     libsoap-lite-perl <!nocheck>,
                     libtest-differences-perl <!nocheck>,
                     libtest-exception-perl <!nocheck>,
                     libtest-mockmodule-perl <!nocheck>,
                     libtest-pod-perl <!nocheck>,
                     libtest-spelling-perl <!nocheck>,
                     libutf8-all-perl <!nocheck>,
                     libwww-mechanize-perl <!nocheck>,
                     libyaml-libyaml-perl <!nocheck>,
                     lintian (>= 2.105.0~) <!nocheck>,
                     perl,
                     python3-minimal <!nocheck>,
                     spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
Rules-Requires-Root: no

Package: pkg-perl-tools
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         curl,
         debhelper,
         devscripts,
         dh-make-perl,
         git,
         git-buildpackage,
         libdatetime-perl,
         libdebian-source-perl (>= 0.119),
         libdpkg-perl,
         libgit-repository-perl,
         libgitlab-api-v4-perl,
         libipc-run-perl,
         libjson-xs-perl,
         libproc-invokeeditor-perl,
         librt-client-rest-perl,
         libtry-tiny-perl,
         libutf8-all-perl,
         lintian (>= 2.105.0~),
         openssh-client | ssh-client,
         pristine-tar,
         quilt
Recommends: autodep8,
            autopkgtest,
            cme,
            libarray-utils-perl,
            libconfig-model-dpkg-perl,
            libconfig-model-perl,
            libdebian-copyright-perl,
            libfile-slurp-perl,
            libmime-lite-perl,
            libmodule-corelist-perl,
            libmodule-inspector-perl,
            libnet-github-perl,
            libparallel-forkmanager-perl,
            libsoap-lite-perl,
            libterm-readline-gnu-perl,
            libwww-mechanize-perl,
            libyaml-libyaml-perl,
            myrepos,
            postgresql-client,
            sensible-utils
Suggests: bc,
          cdbs,
          duck,
          lintian-brush,
          moreutils,
          perl-depends,
          python3,
          python3-launchpadlib
Enhances: lintian
Description: collection of tools to aid packaging Perl modules in Debian
 The Debian Perl Group works on packaging Perl modules for Debian. This
 collection contains the tools which help the group with day-to-day work, like
 filing ITPs, forwarding bugs and patches upstream, taking over a package for
 the group, maintaining proper git repository structure and so on. These
 include dpt, bts-retitle, patchedit, and pristine-orig.
 .
 Additionally it depends on, recommends or suggests separately
 packaged tools the Debian Perl Group uses.
 .
 It also includes some Debian Perl Group specific lintian checks. Add
 "profile=pkg-perl" ("LINTIAN_PROFILE=pkg-perl" for lintian versions before
 2.79.0) to your ~/.lintianrc to use them after installing this package.

Package: pkg-perl-autopkgtest
Architecture: all
Depends: ${misc:Depends},
         autodep8 (>= 0.19~),
         perl
Provides: pkg-perl-autopkgtest-heavy
Description: collection of autopkgtest scripts for Perl packages
 This package contains test runners to be used with the autopkgtest
 infrastructure for perl packages.
 .
 Packages using the tests with autopkgtests in this package need to
 depend on it in their debian/tests/control file, not in their
 debian/control file, or can simply set "Testsuite: autopkgtest-pkg-perl"
 in debian/control.
 .
 Cf. https://perl-team.pages.debian.net/autopkgtest.html for information on
 the tests and how to tweak them.

## pkg-perl-tools 0.76

=== debian/changelog ===
pkg-perl-tools (0.76) unstable; urgency=medium

  [ gregor herrmann ]
  * examples/check-build: move shellcheck comment out of continuation
    line.
  * examples/check-build: avoid proxy in piuparts call harder.
    '--proxy=' doesn't work (anymore?), piuparts still takes
    Acquire::http::Proxy from the host apt config.
    So explicitly set it to DIRECT to avoid having an unresolvable apt proxy.
  * Add new tool: dpt-never-uploaded.
  * Add dependency on libpath-tiny-perl.
  * dpt-lib.sh: gitddiff(): improve finding last Debian tag.
    Use git-describe and gbp's idea of Debian tags.
    Thanks to Yadd for the bug report and the proposal.
    Closes: #1032105
  * Debian::PkgPerl::Util: add new convenience function
    download_and_cache_file.
  * dpt-never-uploaded: use Debian::PkgPerl::Util's
    download_and_cache_file function.
  * dpt-ci-failures: use Debian::PkgPerl::Util's download_and_cache_file
    function and remove -n option.
  * Update copyright years.
  * dpt-lib.sh{,.pod}: add promptyesno().
  * examples/check-build: use dpt-lib.sh.
  * examples/u: use dpt-lib.sh's promptyesno() function.
  * Set a default value for DPT__SCRIPTS across the board.
    This helps if DPT__SCRIPTS is not set, e.g. when a (sub) command is not
    run via the dpt wrapper.

  [ intrigeri ]
  * GitLab CI: run shellcheck on examples/check-build.
  * check-build: make changes brought by previous commit shellcheck compliant.

  [ gregor herrmann ]
  * Add new files to debian/copyright.
  * Drop unneeded version constraints from (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Mon, 31 Jul 2023 14:55:07 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                      libmime-lite-perl <!nocheck>,
                      libnet-github-perl <!nocheck>,
                      libparallel-forkmanager-perl <!nocheck>,
+                     libpath-tiny-perl <!nocheck>,
                      libproc-invokeeditor-perl <!nocheck>,
                      librt-client-rest-perl <!nocheck>,
                      libsoap-lite-perl <!nocheck>,
@@ -60,6 +61,7 @@
          libgitlab-api-v4-perl,
          libipc-run-perl,
          libjson-xs-perl,
+         libpath-tiny-perl,
          libproc-invokeeditor-perl,
          librt-client-rest-perl,
          libtry-tiny-perl,
@@ -114,7 +116,7 @@
 Package: pkg-perl-autopkgtest
 Architecture: all
 Depends: ${misc:Depends},
-         autodep8 (>= 0.19~),
+         autodep8,
          perl
 Provides: pkg-perl-autopkgtest-heavy
 Description: collection of autopkgtest scripts for Perl packages

## pkg-perl-tools 0.78

=== debian/changelog ===
pkg-perl-tools (0.78) unstable; urgency=medium

  * Remove references to ancient lintian version from
    README.lintian and package description.
  * t/pod.t: also test files in the man5/ directory.
  * POD fixes: replace `--' with `-' in NAME section.
    Manpages are expected to have one dash as a separator between the name und
    the whatis entry. Otherwise this gets ugly with `whatis' or `man -k'.
  * dpt-missing-upload: encode all ':' and '~' in version
    for creating tags.
  * dpt-never-uploaded:
    - fix comments output
    - check if package is in the NEW queue
  * examples/buildpackage-pdebuild: add support for 'nodoc'.
  * examples/check-build: run duck under timeout.
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 Mar 2024 11:49:51 +0100

pkg-perl-tools (0.77) unstable; urgency=medium

  [ Damyan Ivanov ]
  * dpt salsa kgb --on: use the new https webhook without port number
    also replaces the legacy webhook with the new one

  [ Tony Mancill ]
  * Update dpt-repack.sh manpage

  [ gregor herrmann ]
  * dpt-gen-itp: set language to Perl if maintainer is the
    Debian Perl Group.
  * examples/u:
    - sign release commit
    - remove --deliberately-not-fast-forward from dgit call, use --overwrite
    - remove .git/dgit/unpack directory from source tree
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Jan 2024 19:06:46 +0100

=== debian/control ===
--- 
+++ 
@@ -110,8 +110,8 @@
  packaged tools the Debian Perl Group uses.
  .
  It also includes some Debian Perl Group specific lintian checks. Add
- "profile=pkg-perl" ("LINTIAN_PROFILE=pkg-perl" for lintian versions before
- 2.79.0) to your ~/.lintianrc to use them after installing this package.
+ "profile=pkg-perl" to your ~/.lintianrc to use them after installing this
+ package.
 
 Package: pkg-perl-autopkgtest
 Architecture: all

## pkg-perl-tools 0.79

=== debian/changelog ===
pkg-perl-tools (0.79) unstable; urgency=medium

  * dpt-import-orig: offer to show diff between upstream repo Git tag and
    tag corresponding to the imported tarball.
  * dpt-fixup: set Standards-Version to 4.7.0.
  * Declare compliance with Debian Policy 4.7.0.
  * Update examples/pbuilder-hooks/E10cleanup.
  * dpt-prepare: call grep-excuses with --wipnity for speed improvement.
  * Add w3m to Recommends for grep-excuses's "--wipnity" option.
  * examples/u: adjust to dgit 11.7 (--trust-changelog).
  * examples/check-build: try to fix shellcheck error.
    Use array for REPROTESTPARAMS, as we are already using bash anyway; and
    add another shellcheck override.
  * Update lintian override (line number).
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Sat, 11 May 2024 02:16:15 +0200

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                      perl,
                      python3-minimal <!nocheck>,
                      spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
 Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
@@ -89,7 +89,8 @@
             libyaml-libyaml-perl,
             myrepos,
             postgresql-client,
-            sensible-utils
+            sensible-utils,
+            w3m
 Suggests: bc,
           cdbs,
           duck,

## pkg-perl-tools 0.80

=== debian/changelog ===
pkg-perl-tools (0.80) unstable; urgency=medium

  * dpt-fixup: don't bail out if the cme copyright fix fails.
  * dpt-salsa: new subcommand 'deleterepo'.
  * dpt-import-orig: remove more files (signatures) after import.
  * Add libdist-build-perl to Debian::PkgPerl::Util's
    probable_build_dependency().
  * dpt-salsa: add a progress indicator to the mrconfig subcommand
    when run in parallel mode.
  * dpt-debian-upstream: fix warning with perl 5.40.
  * dpt-ci-failure: ignore reports older than 30 days.
    Typically removed packages.
  * dpt-ci-failures: minor documentation fix.
  * dpt-clean-mr-repos: fix import (which causes warnings with perl 5.40).
  * Add another stopword to t/spelling.st.
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Nov 2024 01:16:37 +0100

## pkg-perl-tools 0.81

=== debian/changelog ===
pkg-perl-tools (0.81) unstable; urgency=medium

  * examples/check-build: adjust piuparts call.
    In 1.5.0 `piuparts' was moved from /usr/sbin to /usr/bin.
  * dpt-fixup: set Standards-Version to 4.7.1.
  * Declare compliance with Debian Policy 4.7.1.
  * Update years of copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 Feb 2025 18:44:04 +0100

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                      perl,
                      python3-minimal <!nocheck>,
                      spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
 Homepage: https://wiki.debian.org/Teams/DebianPerlGroup

## pkg-perl-tools 0.82

=== debian/changelog ===
pkg-perl-tools (0.82) unstable; urgency=medium

  * dpt-fixup: set Standards-Version to 4.7.2.
  * Declare compliance with Debian Policy 4.7.2.

 -- gregor herrmann <gregoa@debian.org>  Fri, 28 Feb 2025 17:38:33 +0100

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                      perl,
                      python3-minimal <!nocheck>,
                      spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
 Homepage: https://wiki.debian.org/Teams/DebianPerlGroup

## pkg-perl-tools 0.83

=== debian/changelog ===
pkg-perl-tools (0.83) unstable; urgency=medium

  [ gregor herrmann ]
  * Add zsh completion for dpt-github-oauth.
  * dpt-fixup: fix cross-build section.
    Also check for Architecture: linux-any, and try harder to avoid duplicate
    "perl:native" (with versioned dependencies).
  * dpt-fixup: remove "Rules-Requires-Root: no" from debian/control.
    This is the default since dpkg 1.22.13, and also consistent with
    lintian-brush's behaviour.
  * dpt-prepare: add call to transition-check.
  * dpt-{new-upstream,ready-for-upload}: use Debian::PkgPerl::Util's
    download_and_cache_file() instead of manually downloading UDD data.
  * dpt-salsa: update URL for personal accees token at Salsa.

  [ Alexandre Detiste ]
  * remove support for CDBS (Closes: #1100674)

  [ gregor herrmann ]
  * dpt-packagecheck: Drop -Q (add debian/README.source) option.
    Thanks to Alexandre Detiste for the bug report. (Closes: #1114009)
  * dpt-prepare: check merge requests on salsa.
  * dpt-new-upstream: handle version problems in MUT packages.
  * dpt-fixup: Remove "Priority: optional". This is now the default.
  * dpt-fixup: Run debputy lint.
  * Rename dpt-upstream-repo to dpt-upstreamvcs and name Git remote
    upstreamvcs instead of upstream-repo.
  * dpt-upstreamvcs: rename existing Git remote upstream-repo to
    upstreamvcs.
  * Update usage of and references to dpt-upstream-repo to dpt-upstreamvcs
    and make the former available as an alias to the latter.
  * Update copyright years.
  * Refresh line number in lintian override.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.
  * Drop unneeded version constraints from (build) dependencies.
  * examples/u: disable upload to buildinfo.debian.net which seems to be gone.

 -- gregor herrmann <gregoa@debian.org>  Sun, 07 Sep 2025 03:16:14 +0200

=== debian/control ===
Source: pkg-perl-tools
Standards-Version: 4.7.2
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Damyan Ivanov <dmn@debian.org>,
 Axel Beckert <abe@debian.org>,
 gregor herrmann <gregoa@debian.org>,
 Salvatore Bonaccorso <carnil@debian.org>,
 Niko Tyni <ntyni@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-perl
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 git <!nocheck>,
 libconfig-model-perl <!nocheck>,
 libdatetime-perl <!nocheck>,
 libdebian-source-perl <!nocheck>,
 libdpkg-perl <!nocheck>,
 libfile-slurp-perl <!nocheck>,
 libgit-repository-perl <!nocheck>,
 libgitlab-api-v4-perl <!nocheck>,
 libipc-run-perl <!nocheck>,
 libjson-xs-perl <!nocheck>,
 libmime-lite-perl <!nocheck>,
 libnet-github-perl <!nocheck>,
 libparallel-forkmanager-perl <!nocheck>,
 libpath-tiny-perl <!nocheck>,
 libproc-invokeeditor-perl <!nocheck>,
 librt-client-rest-perl <!nocheck>,
 libsoap-lite-perl <!nocheck>,
 libtest-differences-perl <!nocheck>,
 libtest-exception-perl <!nocheck>,
 libtest-mockmodule-perl <!nocheck>,
 libtest-pod-perl <!nocheck>,
 libtest-spelling-perl <!nocheck>,
 libutf8-all-perl <!nocheck>,
 libwww-mechanize-perl <!nocheck>,
 libyaml-libyaml-perl <!nocheck>,
 lintian <!nocheck>,
 perl,
 python3-minimal <!nocheck>,
 spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>,
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
Homepage: https://wiki.debian.org/Teams/DebianPerlGroup

Package: pkg-perl-tools
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 curl,
 debhelper,
 devscripts,
 dh-make-perl,
 git,
 git-buildpackage,
 libdatetime-perl,
 libdebian-source-perl,
 libdpkg-perl,
 libgit-repository-perl,
 libgitlab-api-v4-perl,
 libipc-run-perl,
 libjson-xs-perl,
 libpath-tiny-perl,
 libproc-invokeeditor-perl,
 librt-client-rest-perl,
 libtry-tiny-perl,
 libutf8-all-perl,
 lintian,
 openssh-client | ssh-client,
 pristine-tar,
 quilt,
Recommends:
 autodep8,
 autopkgtest,
 cme,
 libarray-utils-perl,
 libconfig-model-dpkg-perl,
 libconfig-model-perl,
 libdebian-copyright-perl,
 libfile-slurp-perl,
 libmime-lite-perl,
 libmodule-corelist-perl,
 libmodule-inspector-perl,
 libnet-github-perl,
 libparallel-forkmanager-perl,
 libsoap-lite-perl,
 libterm-readline-gnu-perl,
 libwww-mechanize-perl,
 libyaml-libyaml-perl,
 myrepos,
 postgresql-client,
 sensible-utils,
 w3m,
Suggests:
 bc,
 duck,
 lintian-brush,
 moreutils,
 perl-depends,
 python3,
 python3-launchpadlib,
Enhances:
 lintian,
Description: collection of tools to aid packaging Perl modules in Debian
 The Debian Perl Group works on packaging Perl modules for Debian. This
 collection contains the tools which help the group with day-to-day work, like
 filing ITPs, forwarding bugs and patches upstream, taking over a package for
 the group, maintaining proper git repository structure and so on. These
 include dpt, bts-retitle, patchedit, and pristine-orig.
 .
 Additionally it depends on, recommends or suggests separately
 packaged tools the Debian Perl Group uses.
 .
 It also includes some Debian Perl Group specific lintian checks. Add
 "profile=pkg-perl" to your ~/.lintianrc to use them after installing this
 package.

Package: pkg-perl-autopkgtest
Architecture: all
Depends:
 ${misc:Depends},
 autodep8,
 perl,
Provides:
 pkg-perl-autopkgtest-heavy,
Description: collection of autopkgtest scripts for Perl packages
 This package contains test runners to be used with the autopkgtest
 infrastructure for perl packages.
 .
 Packages using the tests with autopkgtests in this package need to
 depend on it in their debian/tests/control file, not in their
 debian/control file, or can simply set "Testsuite: autopkgtest-pkg-perl"
 in debian/control.
 .
 Cf. https://perl-team.pages.debian.net/autopkgtest.html for information on
 the tests and how to tweak them.

## pkg-perl-tools 0.84

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 INSTALLED_SCRIPTS := $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/,$(SCRIPTS))
 INSTALLED_SCRIPT_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/dpt-,$(addsuffix .1,$(filter-out posix-lib.sh,$(SCRIPTS))))
-INSTALLED_SCRIPT_ALIAS_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/dpt-,$(addsuffix .1,co))
+INSTALLED_SCRIPT_ALIAS_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/dpt-,$(addsuffix .1,co upstream-repo))
 INSTALLED_SCRIPT_LIBS := $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib/,$(SCRIPT_LIBS))
 INSTALLED_BINS := $(addprefix $(DESTDIR)/$(PREFIX)/bin/,$(BINS))
 INSTALLED_BIN_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/,$(BIN_MANUALS))
@@ -88,6 +88,9 @@
 
 $(DESTDIR)/$(MAN_DIR)/dpt-co.1: $(DESTDIR)/$(MAN_DIR)/dpt-checkout.1
 	ln -s dpt-checkout.1 $@
+
+$(DESTDIR)/$(MAN_DIR)/dpt-upstream-repo.1: $(DESTDIR)/$(MAN_DIR)/dpt-upstreamvcs.1
+	ln -s dpt-upstreamvcs.1 $@
 
 $(INSTALLED_SCRIPT_MANUALS) : $(DESTDIR)/$(MAN_DIR)/dpt-%.1 : scripts/% $(DESTDIR)/$(MAN_DIR)
 	$(POD2MAN) -n "dpt-$*" $< > $@

=== debian/changelog ===
pkg-perl-tools (0.84) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * dpt-prepare: output a message if no Salsa merge requests are found.
  * dpt-get-itp: massage Owner field. Strip leading and trailing
    whitespace and trailing commas.
  * dpt-import-orig: check detected upstream tag for existence before
    using it.

  [ Roland Rosenfeld ]
  * autopkgtest: syntax.t: read syntax-env environment variables.
  * Refresh line number in lintian override.
  * Add Priority: optional to debian/control.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 31 Oct 2025 16:52:34 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  Niko Tyni <ntyni@debian.org>,
 Section: devel
 Testsuite: autopkgtest-pkg-perl
+Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Indep:

=== debian/rules ===
#!/usr/bin/make -f
# vim: set noet ft=make
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APT=$(CURDIR)/debian/pkg-perl-autopkgtest/usr/share/pkg-perl-autopkgtest
SCRIPTS=$(CURDIR)/debian/pkg-perl-tools/usr/share/pkg-perl-tools/lib

%:
	dh $@

override_dh_clean:
	# preserve test data (*.orig)
	dh_clean -Xt/patchedit/

override_dh_auto_install:
# dh_auto_install sets INSTALL to "INSTALL=install --strip-program=true"
# which leads to
# 1) install: WARNING: ignoring --strip-program option as -s option was not specified
# 2) W: pkg-perl-tools: executable-not-elf-or-script $file
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

override_dh_fixperms:
	dh_fixperms
	chmod +x $(APT)/* $(APT)/*/*
	chmod +x $(SCRIPTS)/guess-nocheck.pl

## pkg-perl-tools 0.85

=== debian/changelog ===
pkg-perl-tools (0.85) unstable; urgency=medium

  * Remove «Priority: optional», which is the current default.
  * Fix typo in previous changelog entry.
  * Declare compliance with Debian Policy 4.7.3.
  * dpt-fixup: set Standards-Version 4.7.3.

 -- gregor herrmann <gregoa@debian.org>  Tue, 23 Dec 2025 18:25:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pkg-perl-tools
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Damyan Ivanov <dmn@debian.org>,
@@ -9,7 +9,6 @@
  Niko Tyni <ntyni@debian.org>,
 Section: devel
 Testsuite: autopkgtest-pkg-perl
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Indep:
